### A free/open-source library for quantitative finance

Classes | Functions
ql/cashflows/conundrumpricer.hpp File Reference

CMS-coupon pricer. More...

`#include <ql/cashflows/couponpricer.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for conundrumpricer.hpp:

## Classes

class | HaganPricer
| CMS-coupon pricer. More...
class | NumericHaganPricer
| CMS-coupon pricer. More...
class | AnalyticHaganPricer
| CMS-coupon pricer. More...

## Functions

std::ostream & | operator<< (std::ostream &out, GFunctionFactory::YieldCurveModel type)

## Detailed Description

CMS-coupon pricer.